Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class PurgeCalendarEntries

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.PurgeCalendarEntries

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class PurgeCalendarEntries

extends java.lang.Object
implements OSAction<VoidResult>

Deletes the Calendar Entries, of the named Calendar, whose end date is earlier than the given date. The deleted entries cannot be recovered. If any of the entries fails to be deleted, no entries will be deleted. The request must include a version number that will be compared against the value held by the identified Calendar entry. If the values don't match, the request will fail with a "concurrency exception".

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`PurgeCalendarEntries(int version, java.lang.String name, java.lang.String nameSpace, java.util.Date toDate)` Constructor.

Method Summary
`java.lang.String` | `getName()` Gets name.
`java.lang.String` | `getNameSpace()` Gets nameSpace.
`java.util.Date` | `getToDate()` Gets toDate.
`int` | `getVersion()` Gets version.
`void` | `setName(java.lang.String name)` Sets name.
`void` | `setNameSpace(java.lang.String nameSpace)` Sets nameSpace.
`void` | `setToDate(java.util.Date toDate)` Sets the toDate.
`void` | `setVersion(int version)` Sets version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PurgeCalendarEntries

    public PurgeCalendarEntries(int version,
                                java.lang.String name,
                                java.lang.String nameSpace,
                                java.util.Date toDate)

  Constructor.

  Parameters:
    `version` -
    `name` -
    `nameSpace` -
    `toDate` -

Method Detail

### getVersion

    public int getVersion()

  Gets version.

  Returns:
    Returns the version.

### setVersion

    public void setVersion(int version)

  Sets version.

  Parameters:
    `version` - The version to set.

### getName

    public java.lang.String getName()

  Gets name.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Sets name.

  Parameters:
    `name` - The name to set.

### getNameSpace

    public java.lang.String getNameSpace()

  Gets nameSpace.

  Returns:
    Returns the nameSpace.

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

  Sets nameSpace.

  Parameters:
    `nameSpace` - The nameSpace to set.

### getToDate

    public java.util.Date getToDate()

  Gets toDate.

  Returns:
    Returns the toDate.

### setToDate

    public void setToDate(java.util.Date toDate)

  Sets the toDate.

  Parameters:
    `toDate` - The toDate to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.